View Issue Details

IDProjectCategoryView StatusLast Update
0000895bareos-core[All Projects] directorpublic2018-02-20 15:09
ReporterfrankAssigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version17.2.5 
Summary0000895: Cannot get description in fileset with bconsole
DescriptionWith the show fileset=xxx the description is not displayed. for other items like show client=xxx the description is shown.
Steps To ReproduceFileSet {
  Name = "LinuxAll"
  Description = "Backup all regular filesystems, determined by filesystem type."
  Include {
    Options {
      Signature = MD5 # calculate md5 checksum per file
      One FS = No # change into other filessytems
      FS Type = btrfs
      FS Type = ext2 # filesystems of given types will be backed up
      FS Type = ext3 # others will be ignored
      FS Type = ext4
      FS Type = reiserfs
      FS Type = jfs
      FS Type = xfs
      FS Type = zfs
    }
    File = /
  }
  # Things that usually have to be excluded
  # You have to exclude /var/lib/bareos/storage
  # on your bareos server
  Exclude {
    File = /var/lib/bareos
    File = /var/lib/bareos/storage
    File = /proc
    File = /tmp
    File = /var/tmp
    File = /.journal
    File = /.fsck
  }
}


*show filesets

FileSet {
  Name = "LinuxAll"
  Include {
    Options {
      Signature = MD5
      OneFS = No
      Fs Type = "btrfs"
      Fs Type = "ext2"
      Fs Type = "ext3"
      Fs Type = "ext4"
      Fs Type = "reiserfs"
      Fs Type = "jfs"
      Fs Type = "xfs"
      Fs Type = "zfs"
    }
    File = "/"
  }
  Exclude {
    File = "/var/lib/bareos"
    File = "/var/lib/bareos/storage"
    File = "/proc"
    File = "/tmp"
    File = "/var/tmp"
    File = "/.journal"
    File = "/.fsck"
  }
}
Additional InformationNote from a customer:

We use the description as part of triggering a job.
TagsNo tags attached.
bareos-master: impactyes
bareos-master: actionfixed
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impactyes
bareos-17.2: actionfixed
bareos-16.2: impactyes
bareos-16.2: actionnone
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Relationships

child of 0000910 closed Release bareos-17.2.5 

Activities

pstorz

pstorz

2018-02-04 22:23

administrator   ~0002899

Fix committed to bareos master branch with changesetid 7729.

Related Changesets

bareos: master e8086282

2018-02-01 15:07:49

frank


Committer: pstorz

Ported: N/A

Details Diff
Print description field of fileset resources

Fixes 0000895: Cannot get description in fileset with bconsole
Affected Issues
0000895
mod - src/dird/dird_conf.c Diff File

Issue History

Date Modified Username Field Change
2018-01-26 13:34 frank New Issue
2018-01-26 16:28 frank Status new => confirmed
2018-02-04 22:23 pstorz Changeset attached => bareos master e8086282
2018-02-04 22:23 pstorz Note Added: 0002899
2018-02-04 22:23 pstorz Status confirmed => resolved
2018-02-04 22:23 pstorz Resolution open => fixed
2018-02-13 09:36 joergs Relationship added child of 0000910
2018-02-20 15:09 joergs bareos-master: impact => yes
2018-02-20 15:09 joergs bareos-master: action => fixed
2018-02-20 15:09 joergs bareos-17.2: impact => yes
2018-02-20 15:09 joergs bareos-17.2: action => fixed
2018-02-20 15:09 joergs bareos-16.2: impact => yes
2018-02-20 15:09 joergs bareos-16.2: action => none
2018-02-20 15:09 joergs Status resolved => closed
2018-02-20 15:09 joergs Fixed in Version => 17.2.5